
Name: app-system-database
Epoch: 1
Version: 1.4.20
Release: 1%{dist}
Summary: System Database - Core
License: LGPLv3
Group: ClearOS/Libraries
Source: app-system-database-%{version}.tar.gz
Buildarch: noarch

%description
The System Database app provides a built-in database that can be used by other apps.

%package core
Summary: System Database - Core
Requires: app-base-core
Requires: app-storage-core >= 1:1.4.7
Requires: system-mysql-server >= 5.1.52

%description core
The System Database app provides a built-in database that can be used by other apps.

This package provides the core API and libraries.

%prep
%setup -q
%build

%install
mkdir -p -m 755 %{buildroot}/usr/clearos/apps/system_database
cp -r * %{buildroot}/usr/clearos/apps/system_database/

install -d -m 0755 %{buildroot}/var/clearos/system_database
install -D -m 0755 packaging/rmysql %{buildroot}/usr/sbin/rmysql
install -D -m 0755 packaging/system-database %{buildroot}/usr/sbin/system-database
install -D -m 0644 packaging/system-mysqld.php %{buildroot}/var/clearos/base/daemon/system-mysqld.php
install -D -m 0644 packaging/system_database_default.conf %{buildroot}/etc/clearos/storage.d/system_database_default.conf

%post core
logger -p local6.notice -t installer 'app-system-database-core - installing'

if [ $1 -eq 1 ]; then
    [ -x /usr/clearos/apps/system_database/deploy/install ] && /usr/clearos/apps/system_database/deploy/install
fi

[ -x /usr/clearos/apps/system_database/deploy/upgrade ] && /usr/clearos/apps/system_database/deploy/upgrade

exit 0

%preun core
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-system-database-core - uninstalling'
    [ -x /usr/clearos/apps/system_database/deploy/uninstall ] && /usr/clearos/apps/system_database/deploy/uninstall
fi

exit 0

%files core
%defattr(-,root,root)
%exclude /usr/clearos/apps/system_database/packaging
%exclude /usr/clearos/apps/system_database/tests
%dir /usr/clearos/apps/system_database
%dir /var/clearos/system_database
/usr/clearos/apps/system_database/deploy
/usr/clearos/apps/system_database/language
/usr/clearos/apps/system_database/libraries
/usr/sbin/rmysql
/usr/sbin/system-database
/var/clearos/base/daemon/system-mysqld.php
/etc/clearos/storage.d/system_database_default.conf
